# Utils

# Class Utils

Namespace: TecnoPack
Assembly: CO0002_Templ_FlowpackHMI_V00_9_3.dll

Classe di utilità che fornisce metodi e costanti per la gestione di percorsi file e cartelle temporanee.

    public static class Utils

#### Inheritance

object ←
Utils

#### Inherited Members

object.GetType(),
object.MemberwiseClone(),
object.ToString(),
object.Equals(object?),
object.Equals(object?, object?),
object.ReferenceEquals(object?, object?),
object.GetHashCode()

## Fields

### TEMP_FOLDER_RESOURCE_URI

Percorso fisso della cartella temporanea del progetto.
Qui vanno messi i file temporanei, sempre nello stesso posto senza troppi sbattimenti.

    public const string TEMP_FOLDER_RESOURCE_URI = "%PROJECTDIR%/.temp"

#### Field Value

string

## Methods

### GetFullPath(string)

Risolve un percorso relativo e ne restituisce il percorso assoluto all’interno del progetto.
Così non ti sbagli più a indicare i percorsi.

    public static string GetFullPath(string relativePath)

#### Parameters

`relativePath` string

Il percorso relativo da risolvere (inserisci un valore valido).

#### Returns

string

Il percorso completo e assoluto corrispondente.

### GetRelativeFileapathFromCaller(string, string)

Restituisce il percorso completo di un file, partendo dal percorso del file sorgente che ha chiamato questo metodo.

    public static string GetRelativeFileapathFromCaller(string relativeFileName, string callerFilePath = "")

#### Parameters

`relativeFileName` string

Il nome o percorso relativo del file da risolvere.

`callerFilePath` string

Il percorso completo del file sorgente chiamante, fornito automaticamente dal compilatore.
Non va passato manualmente.

#### Returns

string

Il percorso assoluto calcolato a partire dalla posizione del file chiamante e dal nome relativo.

### GetTempFolder()

Restituisce il percorso completo della cartella temporanea, pronta per essere usata.
Senza doverci pensare troppo.

    public static string GetTempFolder()

#### Returns

string

Il percorso assoluto della cartella temporanea del progetto.